require 'base64'

module Fuel
  module CLI
    class Base < Thor
      include Fuel::Util

      include HTTParty

      protected

      def commit_message
        `git log -1 --pretty=%B`
      end

      def set_credentials(user, user_keys, password_keys)
        password = ask("Password:", echo: false)
        Config.set(*user_keys, user)
        Config.set64(*password_keys, password)
        puts
      end
    end
  end
end