require 'httparty'

module Fuel
  module Util
    class GerritJsonParser < HTTParty::Parser
      XSSI_PREFIX = ")]}'"
      SupportedFormats.merge!("application/json" => :json, "text/json" => :json)

      def json
        body.sub!(XSSI_PREFIX, "") if body.start_with?(XSSI_PREFIX)
        JSON.load(body, nil)
      end
    end
  end
end